[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# IProviderSupport.PSEndTransaction

End an active transaction

## Declaration

Source position: db.pas line 1320

`procedure IProviderSupport.PSEndTransaction(`
`ACommit: Boolean`
`);`

## Arguments

`ACommit` |  | Should the transaction be committed or rollbacked?

## Description

PSEndTransaction ends an active transaction if an transaction is active. (PSInTransaction returns True). If ACommit is True then the transaction is committed, else it is rollbacked.

## See also

PSInTransaction
PSStartTransaction

Documentation generated on: Feb 26 2014